#
# spec file for package openstack-nova
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global with_doc 1
%global with_tests 0
Name:           openstack-nova
Version:        18.1.0~dev1130
Release:        1.1
Summary:        OpenStack Compute (nova)
License:        Apache-2.0
Group:          Applications/System
URL:            https://launchpad.net/nova
Source0:        nova-master.tar.gz
Source1:        nova-dist.conf
Source3:        nova.logrotate
Source4:        nova-polkit.pkla
Source6:        nova-polkit.rules
Source7:        nova-sudoers
Source8:        unittests.blacklist
Source10:       openstack-nova-api.service
Source12:       openstack-nova-compute.service
Source13:       openstack-nova-network.service
Source14:       openstack-nova-scheduler.service
Source15:       openstack-nova-xvpvncproxy.service
Source16:       openstack-nova-console.service
Source17:       openstack-nova-consoleauth.service
Source18:       openstack-nova-metadata-api.service
Source19:       openstack-nova-conductor.service
Source20:       openstack-nova-cells.service
Source21:       openstack-nova-spicehtml5proxy.service
Source22:       openstack-nova-novncproxy.service
Source23:       openstack-nova-serialproxy.service
Source24:       openstack-nova-os-compute-api.service
Source25:       wsgi-nova-placement-api.conf
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  openstack-macros
BuildRequires:  polkit
BuildRequires:  python-PyMySQL
BuildRequires:  python-barbicanclient
BuildRequires:  python-cinderclient
BuildRequires:  python-cursive
BuildRequires:  python-ddt
BuildRequires:  python-devel
BuildRequires:  python-fixtures
BuildRequires:  python-glanceclient
BuildRequires:  python-ironicclient
BuildRequires:  python-keystoneclient
BuildRequires:  python-microversion_parse
BuildRequires:  python-mock
BuildRequires:  python-mox3
BuildRequires:  python-neutronclient
BuildRequires:  python-novaclient
BuildRequires:  python-os-api-ref
BuildRequires:  python-os-brick
BuildRequires:  python-os-service-types
BuildRequires:  python-os-testr
BuildRequires:  python-os-vif
BuildRequires:  python-os-win
BuildRequires:  python-oslo.cache
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.config
BuildRequires:  python-oslo.context
BuildRequires:  python-oslo.db
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.messaging
BuildRequires:  python-oslo.middleware
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslo.privsep
BuildRequires:  python-oslo.reports
BuildRequires:  python-oslo.rootwrap
BuildRequires:  python-oslo.serialization
BuildRequires:  python-oslo.service
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslo.versionedobjects
BuildRequires:  python-oslo.vmware
BuildRequires:  python-oslotest
BuildRequires:  python-osprofiler
BuildRequires:  python-psycopg2
BuildRequires:  python-python-subunit
BuildRequires:  python-requests-mock
BuildRequires:  python-sphinx-feature-classification
BuildRequires:  python-sphinxcontrib-actdiag
BuildRequires:  python-sphinxcontrib-seqdiag
BuildRequires:  python-testrepository
BuildRequires:  python-testresources
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  sudo
Requires:       logrotate
Requires:       python-nova = %{version}-%{release}
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  systemd-rpm-macros
Requires(pre):  pwdutils
%{?systemd_requires}
%else
BuildRequires:  systemd
Requires(post): systemd
Requires(postun): systemd
Requires(pre):  shadow-utils
Requires(preun): systemd
%endif

%description
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

%package -n     python-nova
Summary:        Nova Python library
# Require openssh for ssh-keygen
Group:          Applications/System
Requires:       openssh
Requires:       openssl
Requires:       python-Babel
Requires:       python-Jinja2
Requires:       python-Paste
Requires:       python-PasteDeploy
Requires:       python-PrettyTable
Requires:       python-Routes
Requires:       python-SQLAlchemy
Requires:       python-WebOb
Requires:       python-castellan
Requires:       python-cinderclient
Requires:       python-cryptography
Requires:       python-cursive
Requires:       python-decorator
Requires:       python-eventlet
Requires:       python-glanceclient
Requires:       python-greenlet
Requires:       python-iso8601
Requires:       python-jsonschema
Requires:       python-keystoneauth1
Requires:       python-keystonemiddleware
Requires:       python-lxml
Requires:       python-microversion_parse
Requires:       python-netaddr
Requires:       python-netifaces
Requires:       python-neutronclient
Requires:       python-os-brick
Requires:       python-os-service-types
Requires:       python-os-vif
Requires:       python-os-win
Requires:       python-oslo.cache
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python-oslo.context
Requires:       python-oslo.db
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.messaging
Requires:       python-oslo.middleware
Requires:       python-oslo.policy
Requires:       python-oslo.privsep
Requires:       python-oslo.reports
Requires:       python-oslo.rootwrap
Requires:       python-oslo.serialization
Requires:       python-oslo.service
Requires:       python-oslo.utils
Requires:       python-oslo.versionedobjects
Requires:       python-paramiko
Requires:       python-pbr
Requires:       python-psutil
Requires:       python-requests
Requires:       python-rfc3986
Requires:       python-setuptools
Requires:       python-six
Requires:       python-sqlalchemy-migrate
Requires:       python-stevedore
Requires:       python-websockify
Requires:       sudo

%description -n python-nova
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform.

This package contains the nova Python library.

%package api
Summary:        OpenStack Nova - API service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description api
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing programmatic access.

%package placement-api
%if 0%{?suse_version}
%define apache_name         apache2
%define apache_site_dir     %{_sysconfdir}/%{apache_name}/vhosts.d/
BuildRequires:  apache2-mod_wsgi
Requires:       apache2-mod_wsgi
%else
%define apache_name         httpd
%define apache_site_dir     %{_sysconfdir}/%{apache_name}/conf.d/
BuildRequires:  mod_wsgi
Requires:       mod_wsgi
%endif
Summary:        OpenStack Nova - Placement API service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description placement-api
This package contains the OpenStack Nova Placement API.

%package cells
Summary:        OpenStack Nova Cells service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description cells
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova Cells service providing additional
scaling and (geographic) distribution for compute services.

%package cert
Summary:        OpenStack Nova certificate management service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description cert
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for managing certificates.

%package compute
Summary:        OpenStack Nova Virtual Machine control service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Requires:       bridge-utils
Requires:       curl
Requires:       genisoimage
Requires:       ipmitool
Requires:       iptables
Requires:       iscsi-initiator-utils
Requires:       libvirt-daemon-kvm
Requires:       libvirt-daemon-lxc
Requires:       lvm2
Requires:       openssh-clients
Requires:       python-libguestfs
Requires:       python-libvirt-python
Requires:       rsync
Requires(pre):  qemu-kvm

%description compute
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for controlling Virtual Machines.

%package conductor
Summary:        OpenStack Nova Conductor services
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description conductor
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing database access for
the compute service

%package console
Summary:        OpenStack Nova console access services
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description console
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing
console access services to Virtual Machines.

%package network
Summary:        OpenStack Nova Network control service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Requires:       bridge-utils
Requires:       dnsmasq
Requires:       dnsmasq-utils
Requires:       ebtables
Requires:       iptables
Requires:       radvd

%description network
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for controlling networking.

%package novncproxy
Summary:        OpenStack Nova noVNC proxy service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Requires:       novnc

%description novncproxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova noVNC Proxy service that can proxy
VNC traffic over browser websockets connections.

%package scheduler
Summary:        OpenStack Nova VM distribution service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description scheduler
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the service for scheduling where
to run Virtual Machines in the cloud.

%package serialproxy
Summary:        OpenStack Nova serial console access service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Requires:       novnc

%description serialproxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing the
serial console access service to Virtual Machines.

%package spicehtml5proxy
Summary:        OpenStack Nova - Spice HTML5 console access service
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description spicehtml5proxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing the
spice HTML5 console access service to Virtual Machines.

%if 0%{?with_doc}
%package doc
Summary:        Documentation for OpenStack Compute
Group:          Documentation/HTML
BuildRequires:  graphviz
BuildRequires:  python-Babel
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy
BuildRequires:  python-PrettyTable
BuildRequires:  python-Routes
BuildRequires:  python-SQLAlchemy
BuildRequires:  python-Sphinx
BuildRequires:  python-WebOb
BuildRequires:  python-castellan
BuildRequires:  python-cryptography
BuildRequires:  python-decorator
BuildRequires:  python-greenlet
BuildRequires:  python-iso8601
BuildRequires:  python-jinja2
BuildRequires:  python-jsonschema
BuildRequires:  python-keystonemiddleware
BuildRequires:  python-lxml
BuildRequires:  python-netifaces
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslosphinx
BuildRequires:  python-paramiko
BuildRequires:  python-psutil
BuildRequires:  python-python-memcached
BuildRequires:  python-reno
BuildRequires:  python-requests
BuildRequires:  python-rfc3986
BuildRequires:  python-sqlalchemy-migrate
BuildRequires:  python-stevedore
BuildRequires:  python-websockify

%description doc
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform.

This package contains documentation files for nova.
%endif

%prep
%autosetup -n nova-18.1.0.dev1130
%py_req_cleanup
find . \( -name .gitignore -o -name .placeholder \) -delete
find nova -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{py2_build}
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx --builder=html,man
# remove the sphinx-build leftovers
rm -rf build/sphinx/html/.{doctrees,buildinfo}
%fdupes build/sphinx/html/
%endif
# config file generation
PYTHONPATH=. oslo-config-generator --config-file=etc/nova/nova-config-generator.conf
PYTHONPATH=. oslopolicy-sample-generator --config-file=etc/nova/nova-policy-generator.conf

%install
%{py2_install}
# man pages
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 build/sphinx/man/*.1 %{buildroot}%{_mandir}/man1/

# Setup directories
install -d -m 750 %{buildroot}%{_localstatedir}/lib/nova
install -d -m 750 %{buildroot}%{_localstatedir}/lib/nova/buckets
install -d -m 750 %{buildroot}%{_localstatedir}/lib/nova/instances
install -d -m 750 %{buildroot}%{_localstatedir}/lib/nova/keys
install -d -m 750 %{buildroot}%{_localstatedir}/lib/nova/networks
install -d -m 750 %{buildroot}%{_localstatedir}/lib/nova/tmp
install -d -m 750 %{buildroot}%{_localstatedir}/log/nova

# WSGI apache config for nova-placement-api
%if 0%{?rdo}
# adjust paths to WSGI scripts
sed -i 's#/local/bin#/bin#' %{SOURCE25}
sed -i 's#apache2#httpd#' %{SOURCE25}
%endif
# Install apache configuration files
install -d -m 755 %{buildroot}%{apache_site_dir}
install -p -D -m 644 %{SOURCE25}  %{buildroot}%{_datarootdir}/nova/wsgi-nova-placement-api.conf
install -p -D -m 644 %{SOURCE25}  %{buildroot}%{apache_site_dir}/nova-placement-api.conf

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/nova
install -d -m 755 %{buildroot}%{_sysconfdir}/nova/nova.conf.d
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datarootdir}/nova/nova-dist.conf
install -p -D -m 640 etc/nova/api-paste.ini %{buildroot}%{_sysconfdir}/nova/api-paste.ini
install -p -D -m 640 etc/nova/cells.json %{buildroot}%{_sysconfdir}/nova/cells.json
install -p -D -m 640 etc/nova/logging_sample.conf %{buildroot}%{_sysconfdir}/nova/logging.conf
install -p -D -m 640 etc/nova/nova.conf.sample  %{buildroot}%{_sysconfdir}/nova/nova.conf
install -p -D -m 640 etc/nova/policy.yaml.sample %{buildroot}%{_sysconfdir}/nova/policy.yaml
install -p -D -m 640 etc/nova/rootwrap.conf %{buildroot}%{_sysconfdir}/nova/rootwrap.conf
# delete installed conf files in usr/etc
rm -rf %{buildroot}%{_prefix}%{_sysconfdir}/

# Install version info file
cat > %{buildroot}%{_sysconfdir}/nova/release <<EOF
[Nova]
vendor = %{?dist}
product = OpenStack Nova
package = %{release}
EOF
# Install completion, logrotate and policykit
install -p -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -p -D -m 644 tools/nova-manage.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/openstack-nova-manage.sh
%if 0%{?rdo}
install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d
install -p -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nova.pkla
%endif
install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/rules.d
install -p -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/polkit-1/rules.d/50-nova.rules
# Install sudoers
install -p -D -m 440 %{SOURCE7} %{buildroot}%{_sysconfdir}/sudoers.d/%{name}
# Install initscripts for Nova services
install -p -D -m 755 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-nova-api.service
install -p -D -m 755 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-nova-compute.service
install -p -D -m 755 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-nova-network.service
install -p -D -m 755 %{SOURCE14} %{buildroot}%{_unitdir}/openstack-nova-scheduler.service
install -p -D -m 755 %{SOURCE15} %{buildroot}%{_unitdir}/openstack-nova-xvpvncproxy.service
install -p -D -m 755 %{SOURCE16} %{buildroot}%{_unitdir}/openstack-nova-console.service
install -p -D -m 755 %{SOURCE17} %{buildroot}%{_unitdir}/openstack-nova-consoleauth.service
install -p -D -m 755 %{SOURCE18} %{buildroot}%{_unitdir}/openstack-nova-metadata-api.service
install -p -D -m 755 %{SOURCE19} %{buildroot}%{_unitdir}/openstack-nova-conductor.service
install -p -D -m 755 %{SOURCE20} %{buildroot}%{_unitdir}/openstack-nova-cells.service
install -p -D -m 755 %{SOURCE21} %{buildroot}%{_unitdir}/openstack-nova-spicehtml5proxy.service
install -p -D -m 755 %{SOURCE22} %{buildroot}%{_unitdir}/openstack-nova-novncproxy.service
install -p -D -m 755 %{SOURCE23} %{buildroot}%{_unitdir}/openstack-nova-serialproxy.service
install -p -D -m 755 %{SOURCE24} %{buildroot}%{_unitdir}/openstack-nova-os-compute-api.service

# Install rootwrap files in /usr/share/nova/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/nova/rootwrap/
install -p -D -m 644 etc/nova/rootwrap.d/* %{buildroot}%{_datarootdir}/nova/rootwrap/
cp -a etc/nova/rootwrap.d/ %{buildroot}%{_sysconfdir}/nova/
# Install pid directory
install -d -m 750 %{buildroot}%{_rundir}/nova
%fdupes %{buildroot}/%{python2_sitelib}

%if 0%{?with_tests}
%check
export OS_TEST_PATH=./nova/tests/unit
export PYTHONPATH=.
rm -v nova/tests/unit/test_hacking.py
rm -v nova/tests/unit/compute/test_compute_xen.py
rm -rf nova/tests/unit/virt/xenapi/
testr init 2>&1
#for debug only - FIX ME
#testr list-tests 2>&1
testr list-tests | grep -vE '(vif|OVS|Network|test_wsgi)' > list
testr run --load-list=list
%endif

%pre
%openstack_pre_user_group_create nova nova -s /bin/bash

%pre compute
usermod -a -G qemu nova

#POST actions
%post api
%systemd_post %{name}-api.service %{name}-metadata-api.service %{name}-os-compute-api.service

%post placement-api
%systemd_post %{apache_name}.service

%post cells
%systemd_post %{name}-cells.service

%post cert
%systemd_post %{name}-cert.service

%post compute
%systemd_post %{name}-compute.service

%post conductor
%systemd_post %{name}-conductor.service

%post console
%systemd_post %{name}-console.service %{name}-consoleauth.service %{name}-xvpvncproxy.service

%post network
%systemd_post %{name}-network.service

%post novncproxy
%systemd_post %{name}-novncproxy.service

%post scheduler
%systemd_post %{name}-scheduler.service

%post serialproxy
%systemd_post %{name}-serialproxy.service

%post spicehtml5proxy
%systemd_post %{name}-spicehtml5proxy.service

#PREUN actions
%preun api
%systemd_preun %{name}-api.service %{name}-metadata-api.service %{name}-os-compute-api.service

%preun cells
%systemd_preun %{name}-cells.service

%preun cert
%systemd_preun %{name}-cert.service

%preun compute
%systemd_preun %{name}-compute.service

%preun conductor
%systemd_preun %{name}-conductor.service

%preun console
%systemd_preun %{name}-console.service %{name}-consoleauth.service %{name}-xvpvncproxy.service

%preun network
%systemd_preun %{name}-network.service

%preun novncproxy
%systemd_preun %{name}-novncproxy.service

%preun scheduler
%systemd_preun %{name}-scheduler.service

%preun spicehtml5proxy
%systemd_preun %{name}-spicehtml5proxy.service

%preun serialproxy
%systemd_preun %{name}-serialproxy.service

#POSTUN actions
%postun api
%systemd_postun_with_restart %{name}-api.service %{name}-metadata-api.service %{name}-os-compute-api.service

%postun placement-api
%systemd_postun_with_restart %{apache_name}.service

%postun cells
%systemd_postun_with_restart %{name}-cells.service

%postun cert
%systemd_postun_with_restart %{name}-cert.service

%postun compute
%systemd_postun_with_restart %{name}-compute.service

%postun conductor
%systemd_postun_with_restart %{name}-conductor.service

%postun console
%systemd_postun_with_restart %{name}-console.service %{name}-consoleauth.service %{name}-xvpvncproxy.service

%postun network
%systemd_postun_with_restart %{name}-network.service

%postun novncproxy
%systemd_postun_with_restart %{name}-novncproxy.service

%postun scheduler
%systemd_postun_with_restart %{name}-scheduler.service

%postun spicehtml5proxy
%systemd_postun_with_restart %{name}-spicehtml5proxy.service

%postun serialproxy
%systemd_postun_with_restart %{name}-serialproxy.service

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst
%dir %{_datarootdir}/nova/
%dir %{_datarootdir}/nova/rootwrap
%attr(-, root, nova) %{_datarootdir}/nova/nova-dist.conf
%dir %{_sysconfdir}/nova
%dir %{_sysconfdir}/nova/rootwrap.d
%dir %{_localstatedir}/lib/nova
%dir %{_localstatedir}/lib/nova/buckets
%dir %{_localstatedir}/lib/nova/instances
%dir %{_localstatedir}/lib/nova/keys
%dir %{_localstatedir}/lib/nova/networks
%dir %{_localstatedir}/lib/nova/tmp
%dir %attr(0750, nova, root) %{_localstatedir}/log/nova
%dir %attr(0750, nova, root) %{_rundir}/nova
%{_sysconfdir}/bash_completion.d/openstack-nova-manage.sh
%{_sysconfdir}/nova/release
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sudoers.d/%{name}
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/api-paste.ini
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/logging.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/nova.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/policy.yaml
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/rootwrap.conf
%{_bindir}/nova-manage
%{_bindir}/nova-policy
%{_bindir}/nova-rootwrap
%{_bindir}/nova-rootwrap-daemon
%{_bindir}/nova-status
%{_mandir}/man1/nova*.1.gz

%files -n python-nova
%license LICENSE
%{python2_sitelib}/nova/
%{python2_sitelib}/nova-*.egg-info

%files api
%license LICENSE
%config %{_sysconfdir}/nova/rootwrap.d/api-metadata.filters
%{_bindir}/nova-api*
%{_bindir}/nova-metadata-wsgi
%{_unitdir}/%{name}-*api.service
%{_datarootdir}/nova/rootwrap/api-metadata.filters

%files placement-api
%license LICENSE
%{_bindir}/nova-placement-api
%{apache_site_dir}/nova-placement-api.conf
%{_datarootdir}/nova/wsgi-nova-placement-api.conf

%files cells
%license LICENSE
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/cells.json
%{_bindir}/nova-cells
%{_unitdir}/%{name}-cells.service

%files compute
%license LICENSE
%{_bindir}/nova-compute
%{_unitdir}/%{name}-compute.service
%{_datarootdir}/nova/rootwrap/compute.filters
%config %{_sysconfdir}/nova/rootwrap.d/compute.filters
%if 0%{?rdo}
%config(noreplace) %{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nova.pkla
%endif
%config(noreplace) %{_sysconfdir}/polkit-1/rules.d/50-nova.rules

%files conductor
%license LICENSE
%{_bindir}/nova-conductor
%{_unitdir}/%{name}-conductor.service

%files console
%license LICENSE
%{_bindir}/nova-console*
%{_bindir}/nova-xvpvncproxy
%{_unitdir}/%{name}-console*.service
%{_unitdir}/%{name}-xvpvncproxy.service

%files network
%license LICENSE
%config %{_sysconfdir}/nova/rootwrap.d/network.filters
%{_bindir}/nova-network
%{_bindir}/nova-dhcpbridge
%{_unitdir}/%{name}-network.service
%{_datarootdir}/nova/rootwrap/network.filters

%files novncproxy
%license LICENSE
%{_bindir}/nova-novncproxy
%{_unitdir}/%{name}-novncproxy.service

%files scheduler
%license LICENSE
%{_bindir}/nova-scheduler
%{_unitdir}/%{name}-scheduler.service

%files spicehtml5proxy
%license LICENSE
%{_bindir}/nova-spicehtml5proxy
%{_unitdir}/%{name}-spicehtml5proxy.service

%files serialproxy
%license LICENSE
%{_bindir}/nova-serialproxy
%{_unitdir}/%{name}-serialproxy.service

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc build/sphinx/html
%endif

%changelog
